CRAN Package Check Results for Package Rmagic

Last updated on 2019-07-17 22:54:38 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.4.0 8.15 74.27 82.42 ERROR
r-devel-linux-x86_64-debian-gcc 1.4.0 7.18 61.97 69.15 OK
r-devel-linux-x86_64-fedora-clang 1.4.0 110.31 ERROR
r-devel-linux-x86_64-fedora-gcc 1.4.0 108.92 ERROR
r-devel-windows-ix86+x86_64 1.4.0 36.00 98.00 134.00 OK
r-patched-linux-x86_64 1.4.0 7.73 72.63 80.36 ERROR
r-patched-solaris-x86 1.4.0 177.00 NOTE
r-release-linux-x86_64 1.4.0 8.94 73.12 82.06 ERROR
r-release-windows-ix86+x86_64 1.4.0 23.00 137.00 160.00 OK
r-release-osx-x86_64 1.4.0 OK
r-oldrel-windows-ix86+x86_64 1.4.0 14.00 138.00 152.00 OK
r-oldrel-osx-x86_64 1.4.0 OK

Check Details

Version: 1.4.0
Check: examples
Result: ERROR
    Running examples in 'Rmagic-Ex.R' failed
    The error most likely occurred in:
    
    > base::assign(".ptime", proc.time(), pos = "CheckExEnv")
    > ### Name: ggplot.magic
    > ### Title: Convert a MAGIC object to a data.frame for ggplot
    > ### Aliases: ggplot.magic
    >
    > ### ** Examples
    >
    > if (reticulate::py_module_available("magic") && require(ggplot2)) {
    +
    + data(magic_testdata)
    + data_magic <- magic(magic_testdata, genes=c("VIM", "CDH1", "ZEB1"))
    + ggplot(data_magic, aes(VIM, CDH1, colour=ZEB1)) +
    + geom_point()
    +
    + }
    Loading required package: ggplot2
    Error in py_get_attr_impl(x, name, silent) :
     AttributeError: module 'magic' has no attribute 'MAGIC'
    Calls: magic ... py_get_attr_or_item -> py_get_attr -> py_get_attr_impl
    Execution halted
Flavors: r-devel-linux-x86_64-debian-clang, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 1.4.0
Check: examples
Result: ERROR
    Running examples in ‘Rmagic-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: ggplot.magic
    > ### Title: Convert a MAGIC object to a data.frame for ggplot
    > ### Aliases: ggplot.magic
    >
    > ### ** Examples
    >
    > if (reticulate::py_module_available("magic") && require(ggplot2)) {
    +
    + data(magic_testdata)
    + data_magic <- magic(magic_testdata, genes=c("VIM", "CDH1", "ZEB1"))
    + ggplot(data_magic, aes(VIM, CDH1, colour=ZEB1)) +
    + geom_point()
    +
    + }
    Loading required package: ggplot2
    Error in py_get_attr_impl(x, name, silent) :
     AttributeError: 'module' object has no attribute 'MAGIC'
    Calls: magic ... py_get_attr_or_item -> py_get_attr -> py_get_attr_impl
    Execution halted
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc

Version: 1.4.0
Check: installed package size
Result: NOTE
     installed size is 5.4Mb
     sub-directories of 1Mb or more:
     examples 4.9Mb
Flavor: r-patched-solaris-x86